library ieee;
use ieee.std_logic_1164.all; 

entity presspb_led_nios2 is
	port
	(
		CLK	:	in  std_logic;
		CLR	:	in  std_logic;
		PB		:	in  std_logic;
		LED	: 	out std_logic
	);
end presspb_led_nios2;

architecture rtl of presspb_led_nios2 is 

	component nios2_system is
		port (
			clk_clk										: in  std_logic := '0';
			reset_reset_n								: in  std_logic := '1';
			pb_pio_external_connection_export	: in  std_logic := '1';
			led_pio_external_connection_export	: out std_logic        
		);
	end component nios2_system;


signal	pb_n		:  std_logic;
signal	wire_led	:  std_logic;

begin
	pb_n <= not PB;

nios2: nios2_system
port map	(			
	clk_clk										=> CLK,
	reset_reset_n								=> CLR,
	pb_pio_external_connection_export	=> pb_n,
	led_pio_external_connection_export	=> wire_led
	);
	
LED <= not wire_led;

end rtl;
